Bug 858885 - [RFE] When suggesting systems to add to a system group, display them in order and do not limit how many are displayed
[RFE] When suggesting systems to add to a system group, display them in order...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Collections (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 18:11 EDT by Og Maciel
Modified: 2017-05-19 09:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-19 09:07:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-09-19 18:11:04 EDT
Description of problem:

I have 13 different systems registered and subscribed to the same organization, different environments. These systems are all named following the pattern qeclient$i where $i is in the range 01 02 03 ... 13. When adding a system to a system group, if I type "qe" the list is auto-populated with systems with names that match "qe". However, instead of getting 13 items in the list (or a certain number with a scrollbar that lets me see all of them) I always get 10, unsorted systems.

Could that list be returned in some sort of order (alphabetical works) and somehow expose more then 10 items if the search criteria returns more than 10?

Version-Release number of selected component (if applicable):

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch

How reproducible:


Steps to Reproduce:
1.  Register more than 10 different systems to the same organization
2.  Create a new system group and add a system to it
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Bryan Kearney 2016-07-08 16:38:52 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Bryan Kearney 2017-05-19 09:07:03 EDT
Thank you for your interest in Satellite 6. We have evaluated this feature request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.